package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 性别
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum ESex {

    /**
     * 未知
     */
    UNKNOWN(0, "未知", 0, EnumsPrefixConstants.SEX + "0"),

    /**
     * 男
     */
    MAN(1, "男", 0, EnumsPrefixConstants.SEX + "1"),

    /**
     * 女
     */
    WOMAN(2, "女", 0, EnumsPrefixConstants.SEX + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getSex(int value){
        for (ESex sex : ESex.values()) {
            if (sex.getValue() == value){
                return sex.getLabel();
            }
        }
        return null;
    }

}
